// input
.bp3-input-group {
  background: rgba(255, 255, 255, 0.16);
  &.bp3-large .bp3-input {
    font-size: 18px;
  }
  .bp3-button {
    svg {
      width: 16px;
      height: 16px;
    }
  }
  .bp3-input-action {
    height: 100%;
  }
  &.bp3-intent-primary {
    .bp3-input {
      border: 0.7px solid $rt-blue2;
      box-shadow: none;
      &:focus {
        box-shadow: none;
        border: 0.7px solid $rt-blue2;
      }
    }
  }
  &.bp3-intent-success {
    .bp3-input {
      border: 0.7px solid $green-pantone3;
      box-shadow: none;
      &:focus {
        box-shadow: none;
        border: 0.7px solid $green-pantone3;
      }
    }
  }
  &.bp3-intent-warning {
    .bp3-input {
      border: 0.7px solid $princeton-orange3;
      box-shadow: none;
      &:focus {
        box-shadow: none;
        border: 0.7px solid $princeton-orange3;
      }
    }
  }
  &.bp3-intent-danger {
    .bp3-input {
      border: 0.7px solid $rt-red1;
      box-shadow: none;
      &:focus {
        box-shadow: none;
        border: 0.7px solid $rt-red1;
      }
    }
  }
  .bp3-input {
    border: 0.7px solid rgba(41, 41, 41, 0.16);
    border-radius: 4px;
    box-shadow: unset;
    color: $black3;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    padding: 0 12px;
    &::placeholder {
      color: rgba(41, 41, 41, 0.7);
    }
    &:focus {
      background: rgba(255, 255, 255, 1);
      border: 0.7px solid $rt-blue2;
      color: $black3;
      &::placeholder {
        color: transparent;
      }
    }
    &:disabled {
      border: 0.7px solid #cccccc;
      background: rgba(255, 255, 255, 0.16);
      &::placeholder {
        color: #cccccc;
      }
    }
    &:not(:focus) {
      + {
        .bp3-button.bp3-minimal {
          &:not(:hover) {
            &:not(:focus) {
              .bp3-icon {
                color: $rt-gray3;
              }
              .bp3-icon-standard {
                color: $rt-gray3;
              }
              .bp3-icon-large {
                color: $rt-gray3;
              }
            }
          }
        }
        .bp3-input-action {
          .bp3-button.bp3-minimal {
            &:not(:hover) {
              &:not(:focus) {
                .bp3-icon {
                  color: $rt-gray3;
                }
                .bp3-icon-standard {
                  color: $rt-gray3;
                }
                .bp3-icon-large {
                  color: $rt-gray3;
                }
              }
            }
            &:disabled {
              cursor: not-allowed;
              resize: none;
            }
          }
        }
      }
    }
  }

  .bp3-input-left-container {
    .bp3-button {
      line-height: 0;
      * {
        color: $white5;
      }
    }
  }
  &.bp3-large {
    .bp3-input-action .bp3-button * {
      font-size: 16px;
    }
    .bp3-button svg {
      width: 20px;
      height: 20px;
    }
  }
  .bp3-input-action {
    * {
      font-size: 13px;
      font-weight: 400;
      margin: 4px 4px 4px 0;
      color: $black3;
      display: inline-block;
      vertical-align: middle;
      &:not(button) {
        margin: 4px 12px 4px 8px;
      }
    }
    & > :not(button) {
      line-height: 24px;
    }
    .bp3-button {
      line-height: 0;
      .bp3-button-text {
        line-height: 24px;
      }
      * {
        margin: 0;
        color: $white5;
      }
      &.bp3-minimal {
        margin: 8px 12px 8px 8px;
        min-width: 16px;
        min-height: 16px;
        height: auto;
        padding: 0;
        * {
          margin: 0;
          color: $rt-dark-gray4;
        }
      }
    }
  }
  &.bp3-sticky-panel .bp3-input-left-container .bp3-button {
    font-size: 16px;
  }
  .bp3-button {
    padding: 0 8px;
    &:focus {
      outline: none;
    }
    &.bp3-minimal {
      .bp3-icon {
        color: $rt-gray3;
      }
    }
    &.bp3-minimal:hover {
      background: unset;
      color: $rt-gray3;
      .bp3-icon {
        color: $rt-gray3;
      }
    }
  }
  &.bp3-active {
    background: $white5;
    border: 0.7px solid $rt-blue2;
    color: $black3;
  }
  &.bp3-round {
    .bp3-input-action .bp3-button.no-text {
      border-radius: 0 32px 32px 0;
    }
    .bp3-input-left-container .bp3-button.no-text {
      border-radius: 32px 0 0 32px;
    }
  }
  &.bp3-large {
    .bp3-input {
      line-height: 24px;
      padding: 0 16px 0 16px;
    }
    &.bp3-disabled {
      .bp3-button {
        cursor: not-allowed;
        resize: none;
      }
    }
    &.bp3-round {
      .bp3-button {
        border-radius: 32px 0 0 32px;
      }
      .bp3-input-action {
        .bp3-button {
          border-radius: 32px;
        }
      }
      .bp3-input-left-container {
        .bp3-button {
          border-radius: 32px;
        }
      }
    }
    .bp3-input-action {
      .bp3-button {
        margin: 8px 8px 8px 32px;
        border-radius: 4px;
        &.bp3-minimal {
          &.no-text {
            padding: 0;
            min-width: 0;
            min-height: 0;
            margin: 15px 16px 15px 12px;
          }
        }
      }
    }
    .bp3-input-left-container {
      .bp3-button {
        line-height: 0;
        margin: 8px 32px 8px 8px;
        * {
          margin: 0;
          color: $white5;
        }
      }
    }
  }
  &.bp3-disabled {
    .bp3-input {
      border: 0.7px solid #cccccc;
      background: rgba(255, 255, 255, 0.16);
      color: #cccccc;
    }
    .bp3-input-action {
      svg {
        cursor: not-allowed !important;
        resize: none;
      }
    }
  }
}

// label
label.bp3-label {
  color: $rt-gray3;
  font-size: 13px;
  font-weight: 400;
  line-height: 180%;
  .bp3-text-muted {
    color: $rt-gray3;
  }
}
.bp3-form-group {
  label.bp3-label {
    margin-bottom: 4px;
  }
  .bp3-form-helper-text {
    font-size: 11px;
    font-weight: bold;
    line-height: 170%;
    letter-spacing: -0.002em;
    color: $rt-gray2;
    margin-top: 4px;
    margin-left: 12px;
  }
  &.bp3-disabled {
    label.bp3-label {
      color: rgba(204, 204, 204, 0.7) !important;
    }
    .bp3-text-muted {
      color: rgba(204, 204, 204, 0.7) !important;
    }
    .bp3-form-helper-text {
      color: rgba(204, 204, 204, 0.7) !important;
    }
    .bp3-numeric-input {
      .bp3-input-group {
        .bp3-input {
          border: none;
        }
      }
    }
    .bp3-input-group {
      .bp3-input {
        background: $white5;
        border: 0.7px solid $rt-gray2;
        color: rgba(204, 204, 204, 0.7) !important;
        cursor: not-allowed;
        resize: none;
        pointer-events: none;
      }
    }
    &.bp3-intent-primary,
    &.bp3-intent-success,
    &.bp3-intent-warning,
    &.bp3-intent-danger {
      .bp3-input-group {
        .bp3-input {
          border: 0.7px solid $rt-gray2;
        }
      }
    }
  }
  &.bp3-inline {
    align-items: baseline;
    label.bp3-label {
      margin: 0 8px 0 0;
    }
  }
  &.bp3-intent-primary {
    .bp3-input-group {
      .bp3-input {
        border: 0.7px solid $rt-blue2;
      }
    }
    .bp3-form-helper-text {
      color: rgba(0, 44, 95, 0.7);
    }
  }
  &.bp3-intent-success {
    .bp3-input-group {
      .bp3-input {
        border: 0.7px solid $green-pantone3;
      }
    }
    .bp3-form-helper-text {
      color: rgba(0, 152, 55, 0.7);
    }
  }
  &.bp3-intent-warning {
    .bp3-input-group {
      .bp3-input {
        border: 0.7px solid $princeton-orange;
      }
    }
    .bp3-form-helper-text {
      color: rgba(234, 118, 0, 0.7);
    }
  }
  &.bp3-intent-danger {
    .bp3-input-group {
      .bp3-input {
        border: 0.7px solid $rt-red1;
      }
    }
    .bp3-form-helper-text {
      color: rgba(230, 13, 46, 0.7);
    }
  }
}

.bp3-inline .bp3-form-content {
  flex: 1;
}

.bp3-input-group[class*='-sticky'] {
  .bp3-button {
    min-width: 32px;
    min-height: 32px;
  }
  .bp3-input-left-container {
    .bp3-button {
      border-radius: 4px 0 0 4px;
      margin-top: 0;
      margin-bottom: 0;
      margin-left: 0;
    }
  }
  .bp3-input-action {
    .bp3-button {
      border-radius: 0 4px 4px 0;
      margin-top: 0;
      margin-bottom: 0;
      margin-right: 0;
    }
  }
}
.bp3-input-group.bp3-sticky-panel .bp3-input-left-container .bp3-button {
  border-radius: 6px 0 0 6px;
}
.bp3-input-group.bp3-sticky-panel .bp3-input-action .bp3-button {
  border-radius: 0 6px 6px 0;
}

.bp3-input-group .bp3-input-action {
  .bp3-button {
    margin-left: 8px;
  }
}
.bp3-input-group .bp3-input-left-container {
  .bp3-button {
    margin-right: 8px;
  }
}

.bp3-input-group .bp3-input-left-container + .bp3-input {
  text-align: right;
}

.bp3-input-group.bp3-sticky-panel .bp3-input-left-container {
  .bp3-button {
    margin-right: 12px;
  }
  & + .bp3-input {
    text-align: left;
  }
}
.bp3-button .bp3-icon:first-child:last-child,
.bp3-button .bp3-spinner + .bp3-icon:last-child {
  margin: 0;
}
